Subject: bug#29256: closed (Re: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Nov 2017 14:16:02 +0000

Your bug report

#29256: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29256: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29256
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
From: Alex Vong <[email-masked]>
To: Kei Kebreau <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 25 Nov 2017 22:15:06 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Kei Kebreau <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>>
>> I turns out that the issue is with stratified garbage collection in
>> GCL. The substitute from hydra.gnu.org does in fact give me the error
>> when I run "(si::sgc-on t)" in the REPL. I'm preparing a patch to update
>> GCL to the version used in Debian stable (GCL git tag "pathnames1.13") and
>> we'll see if changing that definition on the master branch will do anything.
>
> On second thought, the patches applied to Debian Sid's GCL look useful
> as well. Anyway, keep an eye out for my update patch.

Thank you! The patch works, the warning has gone. I am closing this bug.

Subject: maxima: The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
From: Alex Vong <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 11 Nov 2017 18:50:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

When I start maxima, I get the following warning message:

The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
The SGC segfault recovery test failed with memprotect_bad_fault_address, SGC disabled
Maxima 5.41.0 http://maxima.sourceforge.net
using Lisp GNU Common Lisp (GCL) GCL 2.6.12
Distributed under the GNU Public License. See the file COPYING.
Dedicated to the memory of William Schelter.
The function bug_report() provides bug reporting information.

Actually I encountered this problem quite a while ago after an update,
but I didn't report it since it was not fetal.

Does anyone knows what's going on?

Cheers,
Alex